> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settlement

> Partner can you use these APIs to fetch the settlements in real-time.

This API is used for getting a specific settlement. The partner can pass the _id as the settleId.



## OpenAPI

````yaml /api-reference/Settlements/settlements.json post /settlement/v1.0/getSettlement
openapi: 3.0.3
info:
  title: Settlement API
  description: API's to get settlement information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /settlement/v1.0/getSettlement:
    post:
      tags:
        - Settlement
      summary: Get Settlement
      description: >-
        Partner can you use these APIs to fetch the settlements in real-time.


        This API is used for getting a specific settlement. The partner can pass
        the _id as the settleId.
      operationId: getSettlement
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - settleId
              properties:
                settleId:
                  type: string
                  description: Settlement ID can be passed to get the settlement.
      responses:
        '200':
          description: Settlement Object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getSettlement'
components:
  schemas:
    getSettlement:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Settlement object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.